/*
	File access made easy by Catid@pacbell.net
*/

#ifndef FILEIO_H
#define FILEIO_H

#include <io.h>
#include <fcntl.h>
#include <sys\stat.h>
#include <errno.h>
#include <stdio.h>

#include "datatypes.h"

class fileAccess
{
	int fileHandle;						// File Handle

	void close();						// Close the file

public:
	fileAccess();						// Initialize to -1
	~fileAccess();						// Close the file

	bool open(char * fileName);			// Re-open as a different file

	Uint32 getLength();					// Return length without modifying position

	char * readStuff(Uint32 offset,
					 Uint32 length);	// Binary read
	char readNext();					// Get next character
	char * readLine();					// Get next line
};

#endif	// FILEIO_H
